﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace AgApp
{
	public class MyEnumToBoolConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value == null || parameter == null)
			{
				return false;
			}
			if (culture != null)
			{
				 return 0 == string.Compare(value.ToString(), parameter.ToString(), culture, System.Globalization.CompareOptions.Ordinal);
			}
			return value.ToString() == parameter.ToString();
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value == null || parameter == null)
			{
				return value;
			}
			return Enum.Parse(targetType, parameter.ToString(), true);
		}
	}
}
